主要人员对外投资
请求Header:
| 名称 | 值 | |
|---|---|---|
| Content-Type | application/x-www-form-urlencoded |
请求参数说明:
| 名称 | 必填 | 类型 | 说明 | |
|---|---|---|---|---|
| key | 是 | string | 在个人中心->我的数据,接口名称上方查看 | |
| company | 是 | String | 企业全名 | |
| name | 是 | String | 自然人名 |
请求代码示例:
curl -k -i "https://v.juhe.cn/enterprise/App/NPInvestAndPositionByName/query?key=key&company=xxx&name=xxx"
<?php
/**
* 1548-主要人员对外投资 - 代码参考(根据实际业务情况修改)
*/
// 基本参数配置
$apiUrl = "https://v.juhe.cn/enterprise/App/NPInvestAndPositionByName/query"; // 接口请求URL
$method = "GET"; // 接口请求方式
$headers = ["Content-Type: application/x-www-form-urlencoded"]; // 接口请求header
$apiKey = "您申请的调用APIkey"; // 在个人中心->我的数据,接口名称上方查看
// 接口请求入参配置
$requestParams = [
'key' => $apiKey,
'company'=> 'xxx',
'name'=> 'xxx',
];
$requestParamsStr = http_build_query($requestParams);
// 发起接口网络请求
$curl = curl_init();
curl_setopt($curl, CURLOPT_CUSTOMREQUEST, $method);
curl_setopt($curl, CURLOPT_URL, $apiUrl . '?' . $requestParamsStr);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_FAILONERROR, false);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
if (1 == strpos("$" . $apiUrl, "https://")) {
curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, false);
}
$response = curl_exec($curl);
$httpInfo = curl_getinfo($curl);
curl_close($curl);
// 解析响应结果
$responseResult = json_decode($response, true);
if ($responseResult) {
// 网络请求成功。可依据业务逻辑和接口文档说明自行处理。
var_dump($responseResult);
} else {
// 网络异常等因素,解析结果异常。可依据业务逻辑自行处理。
// var_dump($httpInfo);
var_dump("请求异常");
}
import requests
# 1548-主要人员对外投资 - 代码参考(根据实际业务情况修改)
# 基本参数配置
apiUrl = 'https://v.juhe.cn/enterprise/App/NPInvestAndPositionByName/query' # 接口请求URL
apiKey = '您申请的调用APIkey' # 在个人中心->我的数据,接口名称上方查看
# 接口请求入参配置
requestParams = {
'key': apiKey,
'company': 'xxx',
'name': 'xxx',
}
# 发起接口网络请求
response = requests.get(apiUrl, params=requestParams)
# 解析响应结果
if response.status_code == 200:
responseResult = response.json()
# 网络请求成功。可依据业务逻辑和接口文档说明自行处理。
print(responseResult)
else:
# 网络异常等因素,解析结果异常。可依据业务逻辑自行处理。
print('请求异常')
package main
import (
"encoding/json"
"fmt"
"net/http"
"net/url"
)
func main() {
// 基本参数配置
apiUrl := "https://v.juhe.cn/enterprise/App/NPInvestAndPositionByName/query"
apiKey := "您申请的调用APIkey"
// 接口请求入参配置
requestParams := url.Values{}
requestParams.Set("key", apiKey)
requestParams.Set("company", "xxx")
requestParams.Set("name", "xxx")
// 发起接口网络请求
resp, err := http.Get(apiUrl + "?" + requestParams.Encode())
if err != nil {
fmt.Println("网络请求异常:", err)
return
}
defer resp.Body.Close()
var responseResult map[string]interface{}
err = json.NewDecoder(resp.Body).Decode(&responseResult)
if err != nil {
fmt.Println("解析响应结果异常:", err)
return
}
fmt.Println(responseResult)
}
using System;
using System.Net;
using Newtonsoft.Json;
using System.Collections.Generic;
using System.Linq;
namespace Common_API_Test.Test_Demo
{
class Csharp_get
{
static void Main(string[] args)
{
string url = "https://v.juhe.cn/enterprise/App/NPInvestAndPositionByName/query";
string apiKey = "您申请的调用APIkey";
Dictionary<string, string> data = new Dictionary<string, string>();
data.Add("key", apiKey);
data.Add( "company", "xxx");
data.Add( "name", "xxx");
using (WebClient client = new WebClient())
{
string fullUrl = url + "?" + string.Join("&", data.Select(x => x.Key + "=" + x.Value));
try
{
string responseContent = client.DownloadString(fullUrl);
dynamic responseData = JsonConvert.DeserializeObject(responseContent);
if (responseData != null)
{
Console.WriteLine("Return Code: " + responseData["error_code"]);
Console.WriteLine("Return Message: " + responseData["reason"]);
}
else
{
Console.WriteLine("json解析异常!");
}
}
catch (Exception)
{
Console.WriteLine("请检查其它错误");
}
}
}
}
}
const axios = require('axios'); // npm install axios
// 基本参数配置
const apiUrl = 'https://v.juhe.cn/enterprise/App/NPInvestAndPositionByName/query'; // 接口请求URL
const apiKey = '您申请的调用APIkey'; // 在个人中心->我的数据,接口名称上方查看
// 接口请求入参配置
const requestParams = {
key: apiKey,
company: 'xxx',
name: 'xxx',
};
// 发起接口网络请求
axios.get(apiUrl, {params: requestParams})
.then(response => {
// 解析响应结果
if (response.status === 200) {
const responseResult = response.data;
// 网络请求成功。可依据业务逻辑和接口文档说明自行处理。
console.log(responseResult);
} else {
// 网络异常等因素,解析结果异常。可依据业务逻辑自行处理。
console.log('请求异常');
}
})
.catch(error => {
// 网络请求失败,可以根据实际情况进行处理
console.log('网络请求失败:', error);
});
package cn.juhe.test;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.URL;
import java.net.URLEncoder;
import java.nio.charset.StandardCharsets;
import java.util.HashMap;
import java.util.Map;
import java.util.stream.Collectors;
public class JavaGet {
public static void main(String[] args) throws Exception {
String apiKey = "你申请的key";
String apiUrl = "https://v.juhe.cn/enterprise/App/NPInvestAndPositionByName/query";
HashMap<String, String> map = new HashMap<>();
map.put("key", apiKey);
map.put("company", "xxx");
map.put("name", "xxx");
URL url = new URL(String.format("%s?%s", apiUrl, params(map)));
BufferedReader in = new BufferedReader(new InputStreamReader((url.openConnection()).getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
response.append(inputLine);
}
in.close();
System.out.println(response);
}
public static String params(Map<String, String> map) {
return map.entrySet().stream()
.map(entry -> {
try {
return entry.getKey() + "=" + URLEncoder.encode(entry.getValue(), StandardCharsets.UTF_8.toString());
} catch (Exception e) {
e.printStackTrace();
return entry.getKey() + "=" + entry.getValue();
}
})
.collect(Collectors.joining("&"));
}
}
// 基本参数配置
NSString *apiUrl = @"https://v.juhe.cn/enterprise/App/NPInvestAndPositionByName/query"; // 接口请求URL
NSString *apiKey = @"您申请的调用APIkey"; // 在个人中心->我的数据,接口名称上方查看
// 接口请求入参配置
NSDictionary *requestParams = @{
@"key": apiKey,
@"company": @"xxx",
@"name": @"xxx",
};
// 发起接口网络请求
NSURLComponents *components = [NSURLComponents componentsWithString:apiUrl];
NSMutableArray *queryItems = [NSMutableArray array];
[requestParams enumerateKeysAndObjectsUsingBlock:^(NSString *key, NSString *value, BOOL *stop) {
[queryItems addObject:[NSURLQueryItem queryItemWithName:key value:value]];
}];
components.queryItems = queryItems;
NSURL *url = components.URL;
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
NSURLSession *session = [NSURLSession sharedSession];
NSURLSessionDataTask *task = [session dataTaskWithRequest:request completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
if (error) {
// 网络请求异常处理
NSLog(@"请求异常");
} else {
NSError *jsonError;
NSDictionary *responseResult = [NSJSONSerialization JSONObjectWithData:data options:0 error:&jsonError];
if (!jsonError) {
// 网络请求成功处理
// NSLog(@"%@", [responseResult objectForKey:@"error_code"]);
NSLog(@"%@", responseResult);
} else {
// 解析结果异常处理
NSLog(@"解析结果异常");
}
}
}];
[task resume];
返回参数说明:
| 名称 | 类型 | 说明 | |
|---|---|---|---|
| error_code | int | 状态码 | |
| reason | string | 说明 | |
| sign | string | 数据签名 | |
| result | object | 结果 | |
| result.oper_info | Array | - | |
| oper_info.eid | String | null | |
| oper_info.name | String | 法定代表人,oper_info为数组 | |
| oper_info.pid | String | 人员id | |
| oper_info.company | String | 企业名称 | |
| oper_info.credit_no | String | 企业统一社会信用代码/注册号 | |
| oper_info.regist_date | String | 企业注册日期 | |
| oper_info.company_type | String | 企业类型 | |
| oper_info.company_status | String | 企业经营状态 | |
| oper_info.regist_capi | String | 企业注册资本 | |
| result.invest_info | Array | - | |
| invest_info.eid | String | null | |
| invest_info.name | String | 自然人名称,invest_info为数组 | |
| invest_info.pid | String | 人员id | |
| invest_info.oper_name | String | 企业法人 | |
| invest_info.oper_pid | String | 人员id | |
| invest_info.company | String | 企业名称 | |
| invest_info.credit_no | String | 企业统一社会信用代码/注册号 | |
| invest_info.regist_date | String | null | |
| invest_info.company_type | String | 企业类型 | |
| invest_info.company_status | String | 企业经营状态 | |
| invest_info.regist_capi | String | 企业注册资本 | |
| invest_info.should_capi | String | 认缴出资 | |
| invest_info.percent | String | 出资比例 | |
| result.manager_info | Array | - | |
| manager_info.eid | String | null | |
| manager_info.name | String | 自然人名称,manager_info为数组 | |
| manager_info.pid | String | 人员id | |
| manager_info.oper_name | String | 企业法人 | |
| manager_info.oper_pid | String | 人员id | |
| manager_info.company | String | 企业名称 | |
| manager_info.credit_no | String | 企业统一社会信用代码/注册号 | |
| manager_info.regist_date | String | 企业注册日期 | |
| manager_info.company_type | String | 企业类型 | |
| manager_info.company_status | String | 企业经营状态 | |
| manager_info.regist_capi | String | 企业注册资本 | |
| manager_info.title | String | 职务 |
JSON返回示例:JSON在线格式化工具 >
{
"result": {
"invest_info": [
{
"eid": "f74c91db-6091-4c51-9016-33dc59d67836",
"company_type": "-",
"oper_name": "贾跃亭",
"pid": "08994b9846fb36876b33e3dc688e8066",
"regist_date": "2000-07-30",
"percent": "0.8",
"oper_pid": "08994b9846fb36876b33e3dc688e8066",
"credit_no": "-",
"should_capi": "800.0 万元人民币",
"name": "贾跃亭",
"company_status": "注销",
"company": "太原市西伯尔电子工程有限公司",
"regist_capi": "1000.0 万元人民币"
}
],
"oper_info": [
{
"eid": "f74c91db-6091-4c51-9016-33dc59d67836",
"company_type": "-",
"credit_no": "-",
"name": "贾跃亭",
"company_status": "注销",
"pid": "08994b9846fb36876b33e3dc688e8066",
"company": "太原市西伯尔电子工程有限公司",
"regist_date": "2000-07-30",
"regist_capi": "1000.0 万元人民币"
}
],
"manager_info": [
{
"eid": "f74c91db-6091-4c51-9016-33dc59d67836",
"company_type": "-",
"oper_pid": "08994b9846fb36876b33e3dc688e8066",
"credit_no": "-",
"oper_name": "贾跃亭",
"name": "贾跃亭",
"company_status": "注销",
"pid": "08994b9846fb36876b33e3dc688e8066",
"company": "太原市西伯尔电子工程有限公司",
"regist_date": "2000-07-30",
"title": "法定代表人",
"regist_capi": "1000.0 万元人民币"
}
]
},
"reason": "success",
"sign": "ea9c8ae534ec445b8669612ad397398b",
"error_code": 0
}
服务级错误码参照(error_code):
| 错误码 | 说明 | |
|---|---|---|
| 259400 | 网络超时,请稍后再试 | |
| 259401 | 参数缺失 | |
| 259402 | 参数不合法 | |
| 259403 | 内部错误 | |
| 259404 | 查询无结果 | |
| 259405 | 未知错误 |
系统级错误码参照:
| 错误码 | 说明 | 旧版本(resultcode) | |
|---|---|---|---|
| 10001 | 错误的请求KEY | 101 | |
| 10002 | 该KEY无请求权限 | 102 | |
| 10003 | KEY过期 | 103 | |
| 10004 | 错误的OPENID | 104 | |
| 10005 | 应用未审核超时,请提交认证 | 105 | |
| 10007 | 未知的请求源 | 107 | |
| 10008 | 被禁止的IP | 108 | |
| 10009 | 被禁止的KEY | 109 | |
| 10011 | 当前IP请求超过限制 | 111 | |
| 10012 | 请求超过次数限制 | 112 | |
| 10013 | 测试KEY超过请求限制 | 113 | |
| 10014 | 系统内部异常(调用充值类业务时,请务必联系客服或通过订单查询接口检测订单,避免造成损失) | 114 | |
| 10020 | 接口维护 | 120 | |
| 10021 | 接口停用 | 121 |
错误码格式说明(示例:200201):
| 2 | 002 | 01 | |
|---|---|---|---|
| 服务级错误(1为系统级错误) | 服务模块代码(即数据ID) | 具体错误代码 |
接口文档下载
苏公网安备 32059002001776号